export default {
  date: {
    month_full: [
      Drupal.t("January"),
      Drupal.t("February"),
      Drupal.t("March"),
      Drupal.t("April"),
      Drupal.t("May"),
      Drupal.t("June"),
      Drupal.t("July"),
      Drupal.t("August"),
      Drupal.t("September"),
      Drupal.t("October"),
      Drupal.t("November"),
      Drupal.t("December"),
    ],
    month_short: [
      Drupal.t("Jan"),
      Drupal.t("Feb"),
      Drupal.t("Mar"),
      Drupal.t("Apr"),
      Drupal.t("May"),
      Drupal.t("Jun"),
      Drupal.t("Jul"),
      Drupal.t("Aug"),
      Drupal.t("Sep"),
      Drupal.t("Oct"),
      Drupal.t("Nov"),
      Drupal.t("Dec"),
    ],
    day_full: [
      Drupal.t("Sunday"),
      Drupal.t("Monday"),
      Drupal.t("Tuesday"),
      Drupal.t("Wednesday"),
      Drupal.t("Thursday"),
      Drupal.t("Friday"),
      Drupal.t("Saturday"),
    ],
    day_short: [
      Drupal.t("Sun"),
      Drupal.t("Mon"),
      Drupal.t("Tue"),
      Drupal.t("Wed"),
      Drupal.t("Thu"),
      Drupal.t("Fri"),
      Drupal.t("Sat"),
    ]
  },
  labels: {
    new_task: Drupal.t("New task"),
    icon_save: Drupal.t("Save"),
    icon_cancel: Drupal.t("Cancel"),
    icon_details: Drupal.t("Details"),
    icon_edit: Drupal.t("Edit"),
    icon_delete: Drupal.t("Delete"),
    gantt_save_btn: Drupal.t("New Label"),
    gantt_cancel_btn: Drupal.t("New Label"),
    gantt_delete_btn: Drupal.t("New Label"),
    confirm_closing: Drupal.t(""),// Your changes will be lost, are you sure?
    confirm_deleting: Drupal.t("Task will be deleted permanently, are you sure?"),
    section_description: Drupal.t("Description"),
    section_time: Drupal.t("Time period"),
    section_baseline: Drupal.t("Planned time"),
    baseline_enable_button: Drupal.t("Set"),
    baseline_disable_button: Drupal.t("Cancel"),
    section_type: Drupal.t("Type"),

    /* grid columns */
    column_wbs: Drupal.t("WBS"),
    column_text: Drupal.t("Task name"),
    column_start_date: Drupal.t("Start time"),
    column_duration: Drupal.t("Duration"),
    column_add: Drupal.t(""),

    /* link confirmation */
    link: Drupal.t("Link"),
    confirm_link_deleting: Drupal.t("will be deleted"),
    link_start: Drupal.t(" (start)"),
    link_end: Drupal.t(" (end)"),

    type_task: Drupal.t("Task"),
    type_project: Drupal.t("Project"),
    type_milestone: Drupal.t("Milestone"),

    minutes: Drupal.t("Minutes"),
    hours: Drupal.t("Hours"),
    days: Drupal.t("Days"),
    weeks: Drupal.t("Week"),
    months: Drupal.t("Months"),
    years: Drupal.t("Years"),

    /* message popup */
    message_ok: Drupal.t("OK"),
    message_cancel: Drupal.t("Cancel"),

    /* constraints */
    section_constraint: Drupal.t("Constraint"),
    constraint_type: Drupal.t("Constraint type"),
    constraint_date: Drupal.t("Constraint date"),
    asap: Drupal.t("As Soon As Possible"),
    alap: Drupal.t("As Late As Possible"),
    snet: Drupal.t("Start No Earlier Than"),
    snlt: Drupal.t("Start No Later Than"),
    fnet: Drupal.t("Finish No Earlier Than"),
    fnlt: Drupal.t("Finish No Later Than"),
    mso: Drupal.t("Must Start On"),
    mfo: Drupal.t("Must Finish On"),

    /* resource control */
    resources_filter_placeholder: Drupal.t("type to filter"),
    resources_filter_label: Drupal.t("hide empty"),
  }
}
